#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int nadji(vector<int> h, int val) {
    for(int i=0;i<h.size();i++) {
        if(h[i]==val) return i;
    }
    return -1;
}

int resenja(vector<int> X, vector<int> Y, vector<int> Z, int N) {
    vector<int> Y1,Z1;
    int m,n,resenje=0;
    for(int d=0;d<N;d++) {
        Y1=Y;
        while(nadji(Y1,X[d])!=-1) {
            m=nadji(Y1,X[d]);
            Z1=Z;
            while(nadji(Z1,m+1)!=-1) {
                n=nadji(Z1,m+1);
                resenje++;
                Z1[n]=0;
            }
            Y1[m]=0;
        }
    }
    return resenje;
}

int main()
{
    int N;
    cin >> N;
    vector<int> X(N),Y(N),Z(N);
    for(int i=0;i<N;i++) {
        cin >> X[i];
    }
    for(int i=0;i<N;i++) {
        cin >> Y[i];
    }
    for(int i=0;i<N;i++) {
        cin >> Z[i];
    }
    cout << resenja(X,Y,Z,N) << endl;
    return 0;
}